%define name piclab
%define version 0.1
%define release %mkrel 5

Summary: IDE for applications based on PIC microcontrollers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:	piclab-0.1-remove-de-fr-comment.patch
License: GPL
Group: Development/Other
Url: http://sourceforge.net/projects/piclab
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdebase-devel
BuildRequires: desktop-file-utils
BuildRequires: ImageMagick
Requires: gputils

%description
Piclab is an integrated development environment for applications based on 
PIC microcontrollers. Gputils tools are used for assembling. Microchip 
programmers (currently only ICD2 on serial port) and several direct 
programmers are supported.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
install pikdev/data/hi16-app-piclab.png %{buildroot}%{_miconsdir}/%name.png
install pikdev/data/hi32-app-piclab.png %{buildroot}%{_iconsdir}/%name.png
convert -resize 48x48 pikdev/data/hi32-app-piclab.png %{buildroot}%{_liconsdir}/%name.png

desktop-file-install --vendor='' \
	--dir=%buildroot%{_datadir}/applications/kde \
	--add-category='Qt;KDE;Development;IDE' \
	%buildroot%{_datadir}/applications/kde/*.desktop

%find_lang %{name}
%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(755,root,root)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/apps/katepart/syntax/picsrc_piclab.xml
%{_datadir}/applications/kde/piclab.desktop
%{_datadir}/icons/crystalsvg/*/apps/*.png
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-5mdv2008.1
+ Revision: 171045
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 0.1-4mdv2008.0
+ Revision: 77229
- tweak desktop categories

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 0.1-3mdv2008.0
+ Revision: 77228
- remove invalid desktop entry comment
- Import piclab



* Sat May  6 2006 Couriousous <couriousous@mandriva.org> 0.1-2mdk
- Fix #22320

* Sat Jul 16 2005 Couriousous <couriousous@mandriva.org> 0.1-1mdk
- First Mandriva release
